/* Login scene specific styles */
.text-emphasis {
    color: var(--text-gray);
    font-weight: 900;
}

/* Entrance animation */
@keyframes swipeLeft {
    0% {
        transform: translate(-200%, -50%);
        opacity: 0;
    }
    100% {
        transform: translate(-50%, -50%);
        opacity: 1;
    }
}

/* Exit animation */
@keyframes swipeRight {
    0% {
        transform: translate(-50%, -50%);
        opacity: 1;
    }
    100% {
        transform: translate(200%, -50%);
        opacity: 0;
    }
}

.swipe-enter {
    animation: swipeLeft 0.8s ease-out forwards;
}

.swipe-exit {
    animation: swipeRight 0.8s ease-in-out forwards;
} 